Vsan Vcsa Deployer System Vsan Vcsa Get Bootstrap Progress

Vsan Vcsa Deployer System Vsan Vcsa Get Bootstrap Progress
Fetch the detailed progress of a running or recently completed VCSA deployment task.

Fetch the detailed progress of a running or recently completed VCSA deployment task.

Required privileges: System.Read

Request
URI
POST
https://{vcenter-host}/sdk/vim25/{release}/vsan/VsanVcsaDeployerSystem/{moId}/VsanVcsaGetBootstrapProgress
COPY
Path Parameters
string
moId
Required

The unique identifier for the managed object to which the method attaches; the serialized managed object reference for a request has the form moType/moId, in this case VsanVcsaDeployerSystem/{moId}.

string
release
Required

The vSphere release schema. The current specification covers vSphere 9.1.0.0 APIs.


Request Body
VsanVcsaGetBootstrapProgressRequestType of type(s) application/json
Required

Show optional properties

{
    "taskId": [
        {}
    ]
}
{
    "taskId": [
        "string"
    ]
}
array of string
taskId
Required

List of unique task identifier returned by VsanPostConfigForVcsa()

Authentication
This operation uses the following authentication methods.
Responses
200

Detailed progress report for each requested task

[
    {
        "_typeName": "string",
        "phase": "string",
        "progressPct": 0,
        "message": "string",
        "success": false,
        "error": {
            "_typeName": "string",
            "faultCause": {
                "_typeName": "string",
                "faultCause": "MethodFault Object",
                "faultMessage": [
                    {
                        "_typeName": "string",
                        "key": "string",
                        "arg": [
                            {
                                "_typeName": "string",
                                "key": "string",
                                "value": {
                                    "_typeName": "string"
                                }
                            }
                        ],
                        "message": "string"
                    }
                ]
            },
            "faultMessage": [
                {
                    "_typeName": "string",
                    "key": "string",
                    "arg": [
                        {
                            "_typeName": "string",
                            "key": "string",
                            "value": {
                                "_typeName": "string"
                            }
                        }
                    ],
                    "message": "string"
                }
            ]
        },
        "updateCounter": 0,
        "taskId": "string",
        "vm": {
            "_typeName": "string",
            "type": "string",
            "value": "string"
        }
    }
]
array of object
Optional

Detailed progress information for a running or recently completed VCSA deployment job.


500

NotFound: when specified cluster doesn't exist.

Returns VimFault of type(s) application/json
This response body class contains all of the following: MethodFault
{
    "_typeName": "string",
    "faultCause": "MethodFault Object",
    "faultMessage": [
        {
            "_typeName": "string",
            "key": "string",
            "arg": [
                {
                    "_typeName": "string",
                    "key": "string",
                    "value": {
                        "_typeName": "string"
                    }
                }
            ],
            "message": "string"
        }
    ]
}

Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"taskId":["string"]}' https://{api_host}/sdk/vim25/{release}/vsan/VsanVcsaDeployerSystem/{moId}/VsanVcsaGetBootstrapProgress